Bug 209941 - [NEW PORT] sysutils/bsdisks: UDisks2 service implementation for FreeBSD
Summary: [NEW PORT] sysutils/bsdisks: UDisks2 service implementation for FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-01 16:44 UTC by Gleb Popov
Modified: 2016-06-23 11:46 UTC (History)
0 users

See Also:


Attachments
The archive with port (797 bytes, application/x-tar-gz)
2016-06-01 16:44 UTC, Gleb Popov
no flags Details
The shar archive with port (1.88 KB, text/plain)
2016-06-02 06:39 UTC, Gleb Popov
no flags Details
The shar archive with port (1.83 KB, text/plain)
2016-06-10 13:57 UTC, Gleb Popov
no flags Details
The shar archive with port (3.06 KB, text/plain)
2016-06-21 10:07 UTC, Gleb Popov
no flags Details
Shar archive with the port (3.49 KB, application/x-shar)
2016-06-23 11:18 UTC, Gleb Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2016-06-01 16:44:59 UTC
Created attachment 170921 [details]
The archive with port

This is a port for UDisks2 daemon implementation for FreeBSD.
Comment 1 VK freebsd_triage 2016-06-01 23:15:38 UTC
Hello, thanks for the port submission. However, can you please submit a shar file? For more information please consult:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-submitting.html

Also please confirm the port tests fine with portlint and, for example, porttools' port test or poudriere.
Comment 2 Gleb Popov freebsd_committer 2016-06-02 06:39:00 UTC
Created attachment 170930 [details]
The shar archive with port
Comment 3 Dmitry Marakasov freebsd_committer 2016-06-08 09:02:02 UTC
Also you shouldn't use LICENSE=BSD (this is actually BSD3CLAUSE) and you should use USE_QT5 instead of *_DEPENDS for qt5 depends. Also it does not build:

-- Detecting CXX compile features - done
CMake Error at /usr/local/lib/cmake/Qt5Core/Qt5CoreConfig.cmake:15 (message):
  The imported target "Qt5::Core" references the file

     "/usr/local/lib/qt5/bin/qmake"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/local/lib/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/local/lib/cmake/Qt5Core/Qt5CoreConfigExtras.cmake:6 (_qt5_Core_check_file_exists)
  /usr/local/lib/cmake/Qt5Core/Qt5CoreConfig.cmake:146 (include)
  CMakeLists.txt:8 (find_package)


-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/sysutils/bsdisks/work/bsdisks-0.2/CMakeFiles/CMakeOutput.log".
*** Error code 1
Comment 4 Gleb Popov freebsd_committer 2016-06-10 13:57:21 UTC
Created attachment 171266 [details]
The shar archive with port

Addressed comments, hopefully fix build error.
Comment 5 Gleb Popov freebsd_committer 2016-06-21 10:07:44 UTC
Created attachment 171639 [details]
The shar archive with port

Updated port. Fixed build issues on 10-STABLE and 11-CURRENT.
Comment 6 Dmitry Marakasov freebsd_committer 2016-06-22 14:01:37 UTC
Fails to build on 9.x:

/wrkdirs/usr/ports/sysutils/bsdisks/work/bsdisks-0.2/filesystemprober.cpp:35:17: error: chosen constructor is explicit in copy-initialization
    QStringList args = {m_dev};
                ^      ~~~~~~~
/usr/local/include/qt5/QtCore/qstringlist.h:98:21: note: constructor declared here
    inline explicit QStringList(const QString &i) { append(i); }
                    ^
1 error generated.
Comment 7 Gleb Popov freebsd_committer 2016-06-23 11:18:35 UTC
Created attachment 171707 [details]
Shar archive with the port

Fix build on 9.3-RELEASE.
Comment 8 commit-hook freebsd_committer 2016-06-23 11:46:35 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jun 23 11:45:41 UTC 2016
New revision: 417365
URL: https://svnweb.freebsd.org/changeset/ports/417365

Log:
  - Add sysutils/bsdisks

  UDisks2 service provides interfaces to enumerate
  and perform operations on disks and storage devices
  via D-Bus API. Bsdisks is an implementation of UDisks2
  service for FreeBSD.

  WWW: http://bitbucket.org/arrowd/bsdisks

  PR:		209941
  Submitted by:	6yearold@gmail.com

Changes:
  head/sysutils/Makefile
  head/sysutils/bsdisks/
  head/sysutils/bsdisks/Makefile
  head/sysutils/bsdisks/distinfo
  head/sysutils/bsdisks/files/
  head/sysutils/bsdisks/files/patch-11-current
  head/sysutils/bsdisks/files/patch-93-release
  head/sysutils/bsdisks/pkg-descr
  head/sysutils/bsdisks/pkg-plist
Comment 9 Dmitry Marakasov freebsd_committer 2016-06-23 11:46:53 UTC
Thumbs up!